Facts for vetting up to 50 sample applicants: the application, marketplace facts and history with the shop
GET
/api/public/v1/tik_tok_shop/samples/vettingConnectorAnswers empty results in the documented shape until the brand switches on this connection.
Operation id getTikTokShopSampleVetting
Request
curl
curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/samples/vetting?applicationIds=string" \
-H "Authorization: Bearer gdc_..."Parameters
| Name | In | Type | Notes |
|---|---|---|---|
| applicationIds | query | array | required |
| organization_id | query | integer |
Responses
200Success
| Field | Type | Notes |
|---|---|---|
| items | array of object | |
| items[].[].application | object | |
| items[].[].application.currentState | string, nullable | |
| items[].[].application.firstSeenAt | string (date-time) | |
| items[].[].application.products | array of object | |
| items[].[].application.products[].[].currentState | string | |
| items[].[].application.products[].[].nativeStatus | string, nullable | |
| items[].[].application.products[].[].productId | string, nullable | |
| items[].[].application.products[].[].productTitle | string, nullable | |
| items[].[].application.products[].[].stateTimestamps | object | |
| items[].[].applicationId | string | required |
| items[].[].creatorId | string | |
| items[].[].creatorUsername | string, nullable | |
| items[].[].facts | object, nullable | |
| items[].[].facts.categories | array of string | |
| items[].[].facts.contentCount | number, nullable | |
| items[].[].facts.enrichedAt | string (date-time), nullable | |
| items[].[].facts.followerCount | number, nullable | |
| items[].[].facts.fulfillmentRate | number, nullable | |
| items[].[].facts.gmv30dAmount | string, nullable | |
| items[].[].facts.gmv30dCurrency | string, nullable | |
| items[].[].facts.medianVideoViews | number, nullable | |
| items[].[].facts.pps | string, nullable | |
| items[].[].facts.unitsSold | number, nullable | |
| items[].[].found | boolean | required |
| items[].[].history | object | |
| items[].[].history.byState | object | |
| items[].[].history.contentFulfilled | integer | |
| items[].[].history.firstRequestSeenAt | string (date-time), nullable | |
| items[].[].history.gmv | object, nullable | |
| items[].[].history.gmv.amount | string, nullable | |
| items[].[].history.gmv.currency | string, nullable | |
| items[].[].history.gmv.orders | integer | |
| items[].[].history.lastRequestSeenAt | string (date-time), nullable | |
| items[].[].history.postedRate | number, nullable | |
| items[].[].history.requests | integer | |
| items[].[].history.shipped | integer | |
| items[].[].history.videosPosted | integer |
Example
{
"items": [
{
"application": {
"currentState": "string",
"firstSeenAt": "2026-11-01T15:04:05Z",
"products": [
{
"currentState": null,
"nativeStatus": null,
"productId": null,
"productTitle": null,
"stateTimestamps": null
}
]
},
"applicationId": "string",
"creatorId": "string",
"creatorUsername": "Example name",
"facts": {
"categories": [
"string"
],
"contentCount": 125.5,
"enrichedAt": "2026-11-01T15:04:05Z",
"followerCount": 125.5,
"fulfillmentRate": 0.15,
"gmv30dAmount": "string",
"gmv30dCurrency": "string",
"medianVideoViews": 125.5,
"pps": "string",
"unitsSold": 125.5
},
"found": true,
"history": {
"byState": {},
"contentFulfilled": 3,
"firstRequestSeenAt": "2026-11-01T15:04:05Z",
"gmv": {
"amount": "string",
"currency": "usd",
"orders": 3
},
"lastRequestSeenAt": "2026-11-01T15:04:05Z",
"postedRate": 0.15,
"requests": 3,
"shipped": 3,
"videosPosted": 3
}
}
]
}Errors: 400401404422429502with an error and usually a message. See errors.
Example values are made up from each field's type and name.